got this error while installing angular4-multiselect-dropdown : library not packaged according to angular package format

What I Wanted to Do

I was installing angular4-multiselect-dropdown.

What Happened Instead

ERROR in ./node_modules/angular4-multiselect-dropdown/angular4-multiselect-dropdown.ts
Module build failed (from ./node_modules/@ngtools/webpack/src/index.js):
Error: D:\projects\ww3\node_modules\angular4-multiselect-dropdown\angular4-multiselect-dropdown.ts is missing from the TypeScript compilation. Please make sure it is in your tsconfig via the ‘files’ or ‘include’ property.
The missing file seems to be part of a third party library. TS files in published libraries are often a sign of a badly packaged library. Please open an issue in the library repository to alert its author and ask them to package the library using the Angular Package Format (https://goo.gl/jB3GVv).
at AngularCompilerPlugin.getCompiledFile (D:\projects\ww3\node_modules@ngtools\webpack\src\angular_compiler_plugin.js:752:23)
at plugin.done.then (D:\projects\ww3\node_modules@ngtools\webpack\src\loader.js:41:31)
at process._tickCallback (internal/process/next_tick.js:68:7)

Reproduction Steps

Details

Platform Info

$ npm --versions
<!-- paste output here -->
$ node -p process.platform
<!-- paste output here -->

Someone with more Angular experience may recognise the error.

I tried installing angular4-multiselect-dropdown but did not get an error. That looks like an error from a build rather than from npm itself. Can you attach the log file?

I am facing a similar issue which says
ERROR in ./node_modules/angular4-multiselect-dropdown/angular4-multiselect-dropdown.ts
Module build failed (from ./node_modules/@ngtools/webpack/src/index.js):
Error: node_modules\angular4-multiselect-dropdown\angular4-multiselect-dropdown.ts is missing from the TypeScript compilation. Please make sure it is in your tsconfig via the ‘files’ or ‘include’ property.
The missing file seems to be part of a third party library. TS files in published libraries are often a sign of a badly packaged library. Please open an issue in the library repository to alert its author and ask them to package the library using the Angular Package Format (https://goo.gl/jB3GVv).